Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 396307 - mail-filter/spamassassin-3.3.1-r4 sa-update tool does not create sa-update-keys directory
Summary: mail-filter/spamassassin-3.3.1-r4 sa-update tool does not create sa-update-ke...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 583908
  Show dependency tree
 
Reported: 2011-12-28 14:33 UTC by Olliver Schinagl
Modified: 2016-06-03 16:05 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olliver Schinagl 2011-12-28 14:33:35 UTC
When running sa-update it complains about not being able to write it's key files:

7of9 spamassassin # sa-update --import GPG.KEY
gpg: keyblock resource `/etc/mail/spamassassin/sa-update-keys/secring.gpg': No such file or directory
gpg: keyblock resource `/etc/mail/spamassassin/sa-update-keys/pubring.gpg': No such file or directory
gpg: no writable keyring found: Unknown system error
gpg: error reading `GPG.KEY': General error
gpg: import from `GPG.KEY' failed: General error

Creating the directory /etc/mail/spamassassin/sa-update-keys fixes that, and chmod 700 also removes a warning.
gpg: WARNING: unsafe permissions on homedir `/etc/mail/spamassassin/sa-update-keys'


Creating this directory and setting proper permissions on it, should have been done by the ebuild during installation.

Reproducible: Always
Comment 1 Andreas K. Hüttel gentoo-dev 2014-10-11 08:57:34 UTC
Please reopen if this is still an issue with current spamassassin.
Comment 2 Luke Bratch 2014-11-14 10:26:30 UTC
This is still an issue in the current stable in portage (mail-filter/spamassassin-3.3.2-r5).
Comment 3 Olliver Schinagl 2015-03-21 23:12:37 UTC
Still a problem with [ebuild   R    ] mail-filter/spamassassin-3.3.2-r5  USE="berkdb ipv6 ldap postgres sqlite ssl -doc -mysql -qmail" 0 KiB
Comment 4 Michael Orlitzky gentoo-dev 2016-06-03 16:05:42 UTC
I just fixed this in spamassassin-3.4.1-r3:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=323640f36b897eb908b406dfd570613dd323af9c

Please let me know if you still have any problems.